#!/usr/bin/env python

#-----------------------------------------------------------------------
# database.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sqlalchemy.ext.declarative
import sqlalchemy

Base = sqlalchemy.ext.declarative.declarative_base()

class Book (Base):
    __tablename__ = 'books'
    isbn = sqlalchemy.Column(sqlalchemy.String, primary_key=True)
    title = sqlalchemy.Column(sqlalchemy.String)
    quantity = sqlalchemy.Column(sqlalchemy.Integer)

class Author (Base):
    __tablename__ = 'authors'
    isbn = sqlalchemy.Column(sqlalchemy.String, primary_key=True)
    author = sqlalchemy.Column(sqlalchemy.String, primary_key=True)

class Order (Base):
    __tablename__ = 'orders'
    isbn = sqlalchemy.Column(sqlalchemy.String, primary_key=True)
    custid = sqlalchemy.Column(sqlalchemy.String, primary_key=True)
    quantity = sqlalchemy.Column(sqlalchemy.Integer)

class Customer (Base):
    __tablename__ = 'customers'
    custid = sqlalchemy.Column(sqlalchemy.String, primary_key=True)
    custname = sqlalchemy.Column(sqlalchemy.String)
    street = sqlalchemy.Column(sqlalchemy.String)
    zipcode = sqlalchemy.Column(sqlalchemy.String)

class Zipcode (Base):
    __tablename__ = 'zipcodes'
    zipcode = sqlalchemy.Column(sqlalchemy.String, primary_key=True)
    city = sqlalchemy.Column(sqlalchemy.String)
    state = sqlalchemy.Column(sqlalchemy.String)
